package org.jeecg.modules.adweb.dmp.dto;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.AllArgsConstructor;

/**
 * @author wfansh
 */
@AllArgsConstructor
public enum APIStatus {
    SUCCESS(200),
    BAD_REQUEST(400),
    UNAUTHORIZED(401),
    INTERNAL_SERVER_ERROR(500);

    @JsonValue
    public int getCode() {
        return code;
    }

    private final int code;
}
